Subject: Re: [sup-talk] [PATCH] Add new :crypto_default configuration option.

From: William Morgan <[email-masked]>
Date: Tue, 06 Oct 2009 10:16:20 -0700

Reformatted excerpts from Carl Worth's message of 2009-10-01:
> What makes a hook preferable over a configuration option?

I would like to support everyone's crazy desires, and a hook is worth a
thousand configuration options.

In this case, I'm sure it's only a matter of time before someone wants
to automatically determine the crypto setting based on the recipient, or
based on the message body. A hook would allow that.

> 2. Hooks are not supported forever, in which case users may find that
> things just start working when upgrading.

I am fine with this. Users be damned! (Or at least, required to read the
changelog.)

> Neither of those seem options look nice to me, and both seem easy to
> avoid with configuration options.

How so? Configuration options can change just as easily.

> If the plan is to go with (1) I'm concerned that I don't see sup
> shipping documentation for the current possible hooks. (This applies
> to configuration options too though. I think the maintainer should
> reject patches that add either without also adding documentation to
> the standard list.[*])

sup -l is supposed to produce all the hook documentation you'd need,
assuming a reasonable knowledge of Ruby.
-- 
William <[email-masked]>
_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk